Bug 254521 - net/wireguard-kmod: PersistentKeepalive not working
Summary: net/wireguard-kmod: PersistentKeepalive not working
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-24 08:46 UTC by Raúl
Modified: 2021-04-13 19:31 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (decke)


Attachments
wireguard-kmod-0.0.20210412 (1001 bytes, patch)
2021-04-13 18:39 UTC, Raúl
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raúl 2021-03-24 08:46:40 UTC
wireguard-kmod-0.0.20210323 on releng/13.0-8f731a397 (RC3)
transition to if_wg from wireguard-go, magic!
just 'PersistentKeepalive' is not working here
in the meantime:

nohup ping -qi 25 -s 0 wg_internal_peer_ip &
Comment 1 Jason A. Donenfeld 2021-03-24 16:43:13 UTC
Thank you for the report. Fixed here:

https://git.zx2c4.com/wireguard-freebsd/commit/?id=5bd562e6994f0750e96629749a939fde6e1afd67

[I would mark this bug as closed but I haven't the permissions to do so on Bugzilla.]
Comment 2 Bernhard Froehlich freebsd_committer 2021-03-25 07:49:02 UTC
Thanks for the fix! I'll leave this PR open until the next snapshot has landed in the portstree because this is how we usually do it.
Comment 3 Raúl 2021-03-25 10:09:36 UTC
(In reply to Jason A. Donenfeld from comment #1)
Your patch works perfect here.
Thanks a lot.
Comment 4 Jason A. Donenfeld 2021-04-13 17:54:02 UTC
Fix released in https://lists.zx2c4.com/pipermail/wireguard/2021-April/006612.html
Comment 5 Raúl 2021-04-13 18:39:38 UTC
Created attachment 224086 [details]
wireguard-kmod-0.0.20210412
Comment 6 Raúl 2021-04-13 18:41:11 UTC
(In reply to Jason A. Donenfeld from comment #4)

New snapshot built with locally modified port.
I was already using all but last commit. Thanks a lot!
Comment 7 Bernhard Froehlich freebsd_committer 2021-04-13 19:31:53 UTC
Port was updated.